/**
 * @file
 * Custom JS for the Broadstreet Ads module for handling ad blockers.
 */

(function ($) {

Drupal.behaviors.broadstreetAds = {
  attach: function (context, settings) {
    // Get the list of zones. If no zones were output there's nothing to do.
    var zones = settings.broadstreet_ads.zones;
    if (zones.length === 0) {
      return;
    }

    // Look for a redirect destination and message, if they were not defined
    // then there's nothing to do.
    var redirect = settings.broadstreet_ads.b_redirect;
    var message = settings.broadstreet_ads.b_message;
    if (redirect === '' && message === '') {
      return;
    }

    // Look for different ways the ads would be loaded.
    var ads = 0;

    // Standard blocks, at least how core themes output them.
    ads = ads + $('.block-broadstreet-ads').length;

    // Panels panes use a different class name.
    ads = ads + $('.broadstreet-ad').length;

    // If no ads were loaded, or the Broadstreet JS object was not found,
    // the ads were blocked, so perform the action.
    if (ads === 0 || typeof window.broadstreet === 'undefined') {
      if (redirect !== '') {
        window.location.href = redirect;
      }
      if (message !== '') {
        alert(message);
      }
    }
  }
};

})(jQuery);
